FROM dockerhub-dockerio.icellmobilsoft.hu/node:16 as build-stage
WORKDIR /app
COPY ./ ./
RUN npm ci --quiet
RUN npm run-script ng build

FROM nginx:stable-alpine as production-stage
COPY --from=build-stage /app/dist/frontend-convention-example /usr/share/nginx/html
COPY docker/default.conf /etc/nginx/conf.d/default.conf
EXPOSE 8080
CMD ["nginx", "-g", "daemon off;"]

